public void PIK_Common_About() { CommandStart.Start(doc => { doc.Editor.WriteMessage(Assembly.GetExecutingAssembly().GetName().Version.ToString()); }); }
public void KP_BlockSectionFill() { CommandStart.Start(doc => { KP.KP_BlockSection.KP_BlockSectionService.Fill(); }); }
/// <summary> /// Выбор блоков по атрибутам /// </summary> public static void SelectBlockByParameters() { CommandStart.Start(doc => { var selImpl = doc.Editor.SelectImplied(); if (selImpl.Status != Autodesk.AutoCAD.EditorInput.PromptStatus.OK) { return; } var blRefId = selImpl.Value[0].ObjectId; if (!blRefId.IsValidEx()) { return; } using (var t = doc.TransactionManager.StartTransaction()) { var blRef = blRefId.GetObject(OpenMode.ForRead) as BlockReference; var blName = blRef.GetEffectiveName(); blBase = new BlockBase(blRef, blName); t.Commit(); } var selBlVM = new SelectBlockViewModel(blBase, Select); var selBlView = new SelectBlockView(selBlVM); Application.ShowModalWindow(selBlView); }); }
public void PIK_InsertBlocksBeside() { CommandStart.Start(doc => { Utils.BlockBeside.InsertBlockBeside.Insert(doc); }); }
public void GP_BlockSectionContour() { CommandStart.Start(doc => { BlockSection_GP.BlockSectionContours.CreateContour(doc); }); }
public void AKR_Utils_InsertAKRPanels() { CommandStart.Start(doc => { Editor ed = doc.Editor; Database db = doc.Database; using (var t = db.TransactionManager.StartTransaction()) { var bt = t.GetObject(db.BlockTableId, OpenMode.ForRead) as BlockTable; var ms = t.GetObject(bt[BlockTableRecord.ModelSpace], OpenMode.ForWrite) as BlockTableRecord; Point3d pt = Point3d.Origin; foreach (ObjectId idBtr in bt) { if (!idBtr.IsValidEx()) { continue; } var btr = t.GetObject(idBtr, OpenMode.ForRead) as BlockTableRecord; if (btr.Name.StartsWith(Settings.Default.BlockPanelAkrPrefixName)) { var blRef = new BlockReference(pt, idBtr); ms.AppendEntity(blRef); t.AddNewlyCreatedDBObject(blRef, true); pt = new Point3d(pt.X, pt.Y + 7000, 0); } } t.Commit(); } }); }
public void GP_CheckBuildingsIntersects() { CommandStart.Start(doc => { Insolation.Models.CheckBuildingIntersect.Check(); }); }
public void AKR_ColorAreaPaste() { CommandStart.Start(doc => { UtilsCopyColorArea.Paste(); }); }
public void AKR_Navigator() { CommandStart.Start((doc) => { Utils.Navigator.UtilsSelectPanelsByHeight.ShowPanelsByHeight(); }); }
public void KP_BlockSectionTableNew() { CommandStart.Start(doc => { KP.KP_BlockSection.KP_BlockSectionService.CreateTable(true); }); }
public void GP_ArcGIS() { CommandStart.Start(doc => { ArcGIS.ArcGisService.Start(); }); }
public void GP_Isoline() { CommandStart.Start(doc => { Isolines.Isoline.Start(); }); }
public void AKR_CreatePlanBlocks() { CommandStart.Start(doc => { var mountingPlans = new MountingsPlans.BlockPlans(); mountingPlans.CreateBlockPlans(); }); }
public void AKR_LibraryEditor() { CommandStart.Start(doc => { LibraryEditor libEditor = new LibraryEditor(); libEditor.Edit(); }); }
public void KP_AreaParking() { CommandStart.Start(doc => { KP.Parking.Area.AreaParkingService aps = new KP.Parking.Area.AreaParkingService(); aps.Calc(); }); }
public void PIK_RenameSymbolTableRecords() { CommandStart.Start(doc => { var rename = new Rename.RenameSymbolTableRecordService(); rename.Rename(doc.Database); }); }
public void PIK_SetSpecCellSubheadStyle() { CommandStart.Start(doc => { var ts = new SetSpecCellSubheadStyle(doc); ts.SetCellSubheadStyle(); }); }
public void AKR_ExportFacade() { CommandStart.Start(doc => { ExportFacadeService export = new ExportFacadeService(); export.Export(); }); }
public void GP_BlockSectionTable() { CommandStart.Start(doc => { BlockSection_GP.SectionService ss = new BlockSection_GP.SectionService(doc); ss.CalcSections(); }); }
public void GP_HorizontalElevationStep() { CommandStart.Start(doc => { var horElev = new HorizontalElevationService(); horElev.Stepping(); }); }
public void GP_ParkingCalc() { CommandStart.Start(doc => { Parkings.ParkingService ps = new Parkings.ParkingService(); ps.CalcAndTable(); }); }
public void PIK_ExportLayoutsBatch() { CommandStart.Start(doc => { var expLayots = new ExportLayoutsBatch.ExportLayoutService(); expLayots.Export(); }); }
public void AKR_AirConditionersCalc() { CommandStart.Start(doc => { Utils.AirConditioners.AirConditionersCalc airCondCalc = new Utils.AirConditioners.AirConditionersCalc(); airCondCalc.Calc(); }); }
public void KP_BlockSectionTableFromGP() { CommandStart.Start(doc => { BlockSection_GP.SectionService ss = new BlockSection_GP.SectionService(doc); ss.CalcSectionsForKP(); }); }
public void AKR_Utils_ColorAreasTable() { CommandStart.Start(doc => { var colorAreasTableUtils = new Utils.ColorAreaTable.UtilsColorAreasTible(doc); colorAreasTableUtils.CreateTable(); }); }
public void PIK_ExportBlocksBySpecialty() { CommandStart.Start(doc => { ExportBlocks exportBlocks = new ExportBlocks(doc); exportBlocks.Export(new ExportToExcel()); }); }
public void AKR_TileCalc() { CommandStart.Start((doc) => { Utils.TileTable.UtilsTileTable tileTable = new Utils.TileTable.UtilsTileTable(doc); tileTable.CreateTable(); }); }
public void AKR_Utils_WindowsRedefine() { CommandStart.Start(doc => { UtilsReplaceWindows testReplaceWindows = new UtilsReplaceWindows(); var count = testReplaceWindows.Redefine(); doc.Editor.WriteMessage($"\nЗаменено {count} окон."); }); }
public void KP_BlockSectionInsert() { CommandStart.Start(doc => { // Выбор и вставка блока AcadLib.Blocks.Visual.VisualInsertBlock.InsertBlock(fileBlocks, n => KP.KP_BlockSection.KP_BlockSectionService.IsBlockSection(n)); }); }
public void GP_InsolationService() { CommandStart.Start(doc => { LoadService.LoadEntityFramework(); LoadService.LoadMDM(); Insolation.Services.InsService.StartInsolationPalette(doc); }); }